<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>RowDescriptorBuilder (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RowDescriptorBuilder (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" target="_top">Frames</a></li>
<li><a href="RowDescriptorBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.fields</div>
<h2 title="Class RowDescriptorBuilder" class="title">Class RowDescriptorBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.fields.RowDescriptorBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">RowDescriptorBuilder</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Builder to construct an immutable <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>.
 <p>
 The row descriptor is constructed by defining the fields, and using <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#addField--"><code>addField()</code></a> to add the current field
 definition to the row. The field data is then reset (as if <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#resetField--"><code>resetField()</code></a> was called,
 to prepare for the next field to add.
 </p>
 <p>
 This class can also be used to construct individual <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> objects.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#RowDescriptorBuilder-int-org.firebirdsql.gds.ng.DatatypeCoder-">RowDescriptorBuilder</a></span>(int&nbsp;size,
                    <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</code>
<div class="block">Constructs an instance of RowDescriptorBuilder for <tt>size</tt> fields.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#addField--">addField</a></span>()</code>
<div class="block">Adds the current field data to the row and prepares this builder for the next field by resetting all values.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#addField-org.firebirdsql.gds.ng.fields.FieldDescriptor-">addField</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;fieldDescriptor)</code>
<div class="block">Adds the <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> on the current fieldIndex as the next in the row, and increments the current
 field index by 1.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#at-int-">at</a></span>(int&nbsp;index)</code>
<div class="block">Convenience shortcut for <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldIndex-int-"><code>setFieldIndex(int)</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#copyFieldFrom-org.firebirdsql.gds.ng.fields.FieldDescriptor-">copyFieldFrom</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;sourceFieldDescriptor)</code>
<div class="block">Set this builder with the values of the source <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> for further modification through this builder.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#getCurrentFieldIndex--">getCurrentFieldIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#getFirstUnprocessedIndex--">getFirstUnprocessedIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#getSize--">getSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#isComplete--">isComplete</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#resetField--">resetField</a></span>()</code>
<div class="block">Resets the fields of this builder to the Java defaults.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldIndex-int-">setFieldIndex</a></span>(int&nbsp;index)</code>
<div class="block">Sets the field index for the current field under construction.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldName-java.lang.String-">setFieldName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Sets the (aliased) field name.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setLength-int-">setLength</a></span>(int&nbsp;length)</code>
<div class="block">Set the defined length of the field.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalName-java.lang.String-">setOriginalName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalName)</code>
<div class="block">Sets the original field name.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalTableName-java.lang.String-">setOriginalTableName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalTableName)</code>
<div class="block">Sets the original name of the underlying table.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOwnerName-java.lang.String-">setOwnerName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ownerName)</code>
<div class="block">Sets the owner (database username) of the field.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setScale-int-">setScale</a></span>(int&nbsp;scale)</code>
<div class="block">Set the scale of the field.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setSubType-int-">setSubType</a></span>(int&nbsp;subType)</code>
<div class="block">Set the Firebird sub type of the field.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setTableAlias-java.lang.String-">setTableAlias</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tableAlias)</code>
<div class="block">Sets the alias of the underlying table.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setType-int-">setType</a></span>(int&nbsp;type)</code>
<div class="block">Set the Firebird data type of the field.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#simple-int-int-java.lang.String-java.lang.String-">simple</a></span>(int&nbsp;type,
      int&nbsp;length,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalName,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalTableName)</code>
<div class="block">Convenience method to populate the basic field information used in metadata result sets (eg for use in
 <a href="../../../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBDatabaseMetaData</code></a>).</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#toFieldDescriptor--">toFieldDescriptor</a></span>()</code>
<div class="block">Creates a <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> based on the current field data of this RowDescriptorBuilder.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#toRowDescriptor--">toRowDescriptor</a></span>()</code>
<div class="block">Constructs the <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a> with the current content.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RowDescriptorBuilder-int-org.firebirdsql.gds.ng.DatatypeCoder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RowDescriptorBuilder</h4>
<pre>public&nbsp;RowDescriptorBuilder(int&nbsp;size,
                            <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</pre>
<div class="block">Constructs an instance of RowDescriptorBuilder for <tt>size</tt> fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>size</code> - Number of fields</dd>
<dd><code>datatypeCoder</code> - DatatypeCoder for decoding field data</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;int&nbsp;getSize()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of fields the row will hold.</dd>
</dl>
</li>
</ul>
<a name="setType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setType(int&nbsp;type)</pre>
<div class="block">Set the Firebird data type of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - Data type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
</dl>
</li>
</ul>
<a name="setSubType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSubType</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setSubType(int&nbsp;subType)</pre>
<div class="block">Set the Firebird sub type of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subType</code> - Sub type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setType-int-"><code>setType(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setScale-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScale</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setScale(int&nbsp;scale)</pre>
<div class="block">Set the scale of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scale</code> - Scale</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setType-int-"><code>setType(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLength</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setLength(int&nbsp;length)</pre>
<div class="block">Set the defined length of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - Defined (maximum) length of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
</dl>
</li>
</ul>
<a name="setFieldName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldName</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setFieldName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Sets the (aliased) field name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The field name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalName-java.lang.String-"><code>setOriginalName(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setTableAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTableAlias</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setTableAlias(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tableAlias)</pre>
<div class="block">Sets the alias of the underlying table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tableAlias</code> - The table alias</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalTableName-java.lang.String-"><code>setOriginalTableName(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setOriginalName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOriginalName</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setOriginalName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalName)</pre>
<div class="block">Sets the original field name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>originalName</code> - The original field name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldName-java.lang.String-"><code>setFieldName(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setOriginalTableName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOriginalTableName</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setOriginalTableName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalTableName)</pre>
<div class="block">Sets the original name of the underlying table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>originalTableName</code> - The table name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setTableAlias-java.lang.String-"><code>setTableAlias(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setFieldIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldIndex</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setFieldIndex(int&nbsp;index)</pre>
<div class="block">Sets the field index for the current field under construction.
 <p>
 Even though <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#addField--"><code>addField()</code></a> increments the current field index, it is advisable to always explicitly
 set the index using this method or <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#at-int-"><code>at(int)</code></a> as it improves readability.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IndexOutOfBoundsException.html?is-external=true" title="class or interface in java.lang">IndexOutOfBoundsException</a></code> - When <code>index</code> is not between 0 (inclusive) and <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#getSize--"><code>getSize()</code></a> (exclusive)</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When a <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> is already defined on the specified <code>index</code></dd>
</dl>
</li>
</ul>
<a name="at-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>at</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;at(int&nbsp;index)</pre>
<div class="block">Convenience shortcut for <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldIndex-int-"><code>setFieldIndex(int)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setFieldIndex-int-"><code>setFieldIndex(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getCurrentFieldIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentFieldIndex</h4>
<pre>public&nbsp;int&nbsp;getCurrentFieldIndex()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The index for the current field</dd>
</dl>
</li>
</ul>
<a name="setOwnerName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOwnerName</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;setOwnerName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ownerName)</pre>
<div class="block">Sets the owner (database username) of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ownerName</code> - Name of the owner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
</dl>
</li>
</ul>
<a name="simple-int-int-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>simple</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;simple(int&nbsp;type,
                                   int&nbsp;length,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalName,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;originalTableName)</pre>
<div class="block">Convenience method to populate the basic field information used in metadata result sets (eg for use in
 <a href="../../../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBDatabaseMetaData</code></a>).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - Firebird data type</dd>
<dd><code>length</code> - Defined (maximum) length of the field</dd>
<dd><code>originalName</code> - The original field name</dd>
<dd><code>originalTableName</code> - The table name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setType-int-"><code>setType(int)</code></a>, 
<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setLength-int-"><code>setLength(int)</code></a>, 
<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalTableName-java.lang.String-"><code>setOriginalTableName(String)</code></a>, 
<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#setOriginalName-java.lang.String-"><code>setOriginalName(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="toFieldDescriptor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toFieldDescriptor</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;toFieldDescriptor()</pre>
<div class="block">Creates a <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> based on the current field data of this RowDescriptorBuilder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FieldDescriptor</dd>
</dl>
</li>
</ul>
<a name="resetField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetField</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;resetField()</pre>
<div class="block">Resets the fields of this builder to the Java defaults.</div>
</li>
</ul>
<a name="copyFieldFrom-org.firebirdsql.gds.ng.fields.FieldDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyFieldFrom</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;copyFieldFrom(<a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;sourceFieldDescriptor)</pre>
<div class="block">Set this builder with the values of the source <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> for further modification through this builder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sourceFieldDescriptor</code> - Source for the initial values</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
</dl>
</li>
</ul>
<a name="addField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addField</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;addField()</pre>
<div class="block">Adds the current field data to the row and prepares this builder for the next field by resetting all values.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#resetField--"><code>resetField()</code></a></dd>
</dl>
</li>
</ul>
<a name="addField-org.firebirdsql.gds.ng.fields.FieldDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addField</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptorBuilder</a>&nbsp;addField(<a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;fieldDescriptor)</pre>
<div class="block">Adds the <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> on the current fieldIndex as the next in the row, and increments the current
 field index by 1.
 <p>
 This method does not call <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#resetField--"><code>resetField()</code></a>, so a partial definition of a field can exist
 inside this builder after calling this method.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldDescriptor</code> - FieldDescriptor to add</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder</dd>
</dl>
</li>
</ul>
<a name="toRowDescriptor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toRowDescriptor</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;toRowDescriptor()</pre>
<div class="block">Constructs the <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a> with the current content.
 <p>
 This method can also return a partially filled <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>. Caller can check for completeness by
 calling <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#isComplete--"><code>isComplete()</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>RowDescriptor instance.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#isComplete--"><code>isComplete()</code></a></dd>
</dl>
</li>
</ul>
<a name="isComplete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isComplete</h4>
<pre>public&nbsp;boolean&nbsp;isComplete()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><tt>true</tt> when all <a href="../../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> entries have been defined</dd>
</dl>
</li>
</ul>
<a name="getFirstUnprocessedIndex--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFirstUnprocessedIndex</h4>
<pre>public&nbsp;int&nbsp;getFirstUnprocessedIndex()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the index of the first unprocessed FieldDescriptor, or <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html#getSize--"><code>getSize()</code></a> if all fields have been set.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" target="_top">Frames</a></li>
<li><a href="RowDescriptorBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
